#ifndef __DNDCONST_H__
#define __DNDCONST_H__

/* ---------------------------------------------------------------------- *
 * Constant definitions
 * ---------------------------------------------------------------------- */

/* sizes */

#define szFINE                 (  1 )
#define szDIMINUTIVE           (  2 )
#define szTINY                 (  3 )
#define szSMALL                (  4 )
#define szMEDIUM               (  5 )
#define szLARGE                (  6 )
#define szHUGE                 (  7 )
#define szGARGANTUAN           (  8 )
#define szCOLOSSAL             (  9 )

/* community types */

#define ttANY                  (  0 )
#define ttTHORP                (  1 )
#define ttHAMLET               (  2 )
#define ttVILLAGE              (  3 )
#define ttSMALLTOWN            (  4 )
#define ttLARGETOWN            (  5 )
#define ttSMALLCITY            (  6 )
#define ttLARGECITY            (  7 )
#define ttMETROPOLIS           (  8 )

/* community authority types */

#define caCONSTABLE            (  1 )
#define caCAPTAINOFTHEGUARD    (  2 )
#define caSHERIFF              (  3 )

/* community power center types */

#define pcCONVENTIONAL         (  1 )
#define pcNONSTANDARD          (  2 )
#define pcMAGICAL              (  3 )
#define pcMONSTROUS            (  4 )

/* alignments */

#define alLAWFUL               ( 0x0001 )
#define alCHAOTIC              ( 0x0002 )
#define alLCNEUTRAL            ( 0x0004 )
#define alGOOD                 ( 0x0008 )
#define alEVIL                 ( 0x0010 )
#define alGENEUTRAL            ( 0x0020 )

/* character class types */

#define cctPLAYER              (  1 )
#define cctPRESTIGE            (  2 )
#define cctNONPLAYER           (  3 )

/* pc character classes */

#define pcBARBARIAN            (  1 )
#define pcBARD                 (  2 )
#define pcCLERIC               (  3 )
#define pcDRUID                (  4 )
#define pcFIGHTER              (  5 )
#define pcMONK                 (  6 )
#define pcPALADIN              (  7 )
#define pcRANGER               (  8 )
#define pcROGUE                (  9 )
#define pcSORCERER             ( 10 )
#define pcWIZARD               ( 11 )

/* prestige classes */

#define prcARCANEARCHER        ( 31 )
#define prcASSASSIN            ( 32 )
#define prcBLACKGUARD          ( 33 )
#define prcDWARVENDEFENDER     ( 34 )
#define prcLOREMASTER          ( 35 )
#define prcSHADOWDANCER        ( 36 )

/* npc character classes */

#define npcADEPT               ( 61 )
#define npcARISTOCRAT          ( 62 )
#define npcCOMMONER            ( 63 )
#define npcEXPERT              ( 64 )
#define npcWARRIOR             ( 65 )

/* gender types */

#define gNONE                  (  0 )
#define gANY                   (  0 )
#define gMALE                  (  1 )
#define gFEMALE                (  2 )

/* races */

#define rcHUMAN                (  1 )
#define rcHALFLING_LIGHTFOOT   (  2 )
#define rcELF_HIGH             (  3 )
#define rcDWARF_HILL           (  4 )
#define rcGNOME_ROCK           (  5 )
#define rcHALFELF              (  6 )
#define rcHALFORC              (  7 )
#define rcAASIMAR              (  8 )
#define rcDWARF_DEEP           (  9 )
#define rcDWARF_MOUNTAIN       ( 10 )
#define rcELF_GRAY             ( 11 )
#define rcELF_WILD             ( 12 )
#define rcELF_WOOD             ( 13 )
#define rcGNOME_FOREST         ( 14 )
#define rcHALFLING_DEEP        ( 15 )
#define rcHALFLING_TALLFELLOW  ( 16 )
#define rcGNOME_SVIRFNEBLIN    ( 17 )
#define rcLIZARDFOLK           ( 18 )
#define rcDOPPLEGANGER         ( 19 )
#define rcGOBLIN               ( 20 )
#define rcHOBGOBLIN            ( 21 )
#define rcKOBOLD               ( 22 )
#define rcORC                  ( 23 )
#define rcTIEFLING             ( 24 )
#define rcELF_DROW             ( 25 )
#define rcDWARF_DUERGAR        ( 26 )
#define rcDWARF_DERRO          ( 27 )
#define rcGNOLL                ( 28 )
#define rcTROGLODYTE           ( 29 )
#define rcBUGBEAR              ( 30 )
#define rcOGRE                 ( 31 )
#define rcMINOTAUR             ( 32 )
#define rcMINDFLAYER           ( 33 )
#define rcOGREMAGE             ( 34 )
#define rcARANEA               ( 35 )
#define rcAZER                 ( 36 )
#define rcCENTAUR              ( 37 )
#define rcDRIDER               ( 38 )
#define rcETTIN                ( 39 )
#define rcGIANT_HILL           ( 40 )
#define rcGIANT_STONE          ( 41 )
#define rcGIANT_FROST          ( 42 )
#define rcGIANT_FIRE           ( 43 )
#define rcGIANT_CLOUD          ( 44 )
#define rcGIANT_STORM          ( 45 )
#define rcGRIMLOCK             ( 46 )
#define rcHAG_SEA              ( 47 )
#define rcHAG_ANNIS            ( 48 )
#define rcHAG_GREEN            ( 49 )
#define rcHARPY                ( 50 )
#define rcKUOTOA               ( 51 )
#define rcLOCATHAH             ( 52 )
#define rcMEDUSA               ( 53 )
#define rcMERFOLK              ( 54 )
#define rcSAHUAGIN             ( 55 )
#define rcTROLL                ( 56 )
#define rcYUANTI_PUREBLOOD     ( 57 )
#define rcYUANTI_HALFBLOOD     ( 58 )
#define rcYUANTI_ABOMINATION   ( 59 )
#define rcELF_AQUATIC          ( 60 )

/* races defined in Sword & Sorcery's "Creature Collection" */

#define rcCC_ABANDONED          ( 501 )
#define rcCC_ASAATH             ( 502 )
#define rcCC_BATDEVIL           ( 503 )
#define rcCC_PLAGUEWRETCH       ( 504 )
#define rcCC_CHARDUNI           ( 505 )
#define rcCC_COALGOBLIN         ( 506 )
#define rcCC_DWARF_FORSAKEN     ( 507 )
#define rcCC_ELF_FORSAKEN       ( 508 )
#define rcCC_ICE_GHOUL          ( 509 )
#define rcCC_MANTICORA          ( 510 )
#define rcCC_MORGAUNT           ( 511 )
#define rcCC_PROUD              ( 512 )
#define rcCC_RATMAN             ( 513 )
#define rcCC_RATMAN_BROWNGORGER ( 514 )
#define rcCC_RATMAN_DISEASED    ( 515 )
#define rcCC_RATMAN_FOAMER      ( 516 )
#define rcCC_RATMAN_REDWITCH    ( 517 )
#define rcCC_SKINDEVIL          ( 518 )
#define rcCC_SPIDEREYEGOBLIN    ( 519 )
#define rcCC_STEPPETROLL        ( 520 )
#define rcCC_STRIFEELEMENTAL    ( 521 )
#define rcCC_TOKALTRIBESMAN     ( 522 )
#define rcCC_UBANTUTRIBESMAN    ( 523 )

/* racial templates */

#define rctNONE                (  0 )
#define rctHALFCELESTIAL       (  1 )
#define rctHALFDRAGON          (  2 )
#define rctWEREBEAR            (  3 )
#define rctWEREBOAR            (  4 )
#define rctWERETIGER           (  5 )
#define rctWERERAT             (  6 )
#define rctWEREWOLF            (  7 )
#define rctHALFFIEND           (  8 )

/* abilities */

#define abNONE                ( 0 )
#define abSTRENGTH            ( 1 )
#define abDEXTERITY           ( 2 )
#define abCONSTITUTION        ( 3 )
#define abINTELLIGENCE        ( 4 )
#define abWISDOM              ( 5 )
#define abCHARISMA            ( 6 )

/* skills */

#define skALCHEMY              (  1 )
#define skANIMALEMPATHY        (  2 )
#define skAPPRAISE             (  3 )
#define skBALANCE              (  4 )
#define skBLUFF                (  5 )
#define skCLIMB                (  6 )
#define skCONCENTRATION        (  7 )
#define skCRAFT                (  8 )
#define skDECIPHERSCRIPT       (  9 )
#define skDIPLOMACY            ( 10 )
#define skDISABLEDEVICE        ( 11 )
#define skDISGUISE             ( 12 )
#define skESCAPEARTIST         ( 13 )
#define skFORGERY              ( 14 )
#define skGATHERINFORMATION    ( 15 )
#define skHANDLEANIMAL         ( 16 )
#define skHEAL                 ( 17 )
#define skHIDE                 ( 18 )
#define skINNUENDO             ( 19 )
#define skINTIMIDATE           ( 20 )
#define skINTUITDIRECTION      ( 21 )
#define skJUMP                 ( 22 )
#define skKNOWLEDGE_ARCANA     ( 23 )
#define skKNOWLEDGE_RELIGION   ( 24 )
#define skKNOWLEDGE_NATURE     ( 25 )
#define skKNOWLEDGE            ( 26 )
#define skLISTEN               ( 27 )
#define skMOVESILENTLY         ( 28 )
#define skOPENLOCK             ( 29 )
#define skPERFORM              ( 30 )
#define skPICKPOCKET           ( 31 )
#define skPROFESSION           ( 32 )
#define skREADLIPS             ( 33 )
#define skRIDE                 ( 34 )
#define skSCRY                 ( 35 )
#define skSEARCH               ( 36 )
#define skSENSEMOTIVE          ( 37 )
#define skSPEAKLANGUAGE        ( 38 )
#define skSPELLCRAFT           ( 39 )
#define skSPOT                 ( 40 )
#define skSWIM                 ( 41 )
#define skTUMBLE               ( 42 )
#define skUSEMAGICDEVICE       ( 43 )
#define skUSEROPE              ( 44 )
#define skWILDERNESSLORE       ( 45 )

/* skill types */

#define sktCLASS               (  1 )
#define sktCROSSCLASS          (  2 )
#define sktEXCLUSIVE           (  3 )

/* feats */

#define ftALERTNESS                 (  1 )
#define ftAMBIDEXTERITY             (  2 )
#define ftARMORPROFICIENCY_LIGHT    (  3 )
#define ftARMORPROFICIENCY_MEDIUM   (  4 )
#define ftARMORPROFICIENCY_HEAVY    (  5 )
#define ftBLINDFIGHT                (  6 )
#define ftCOMBATCASTING             (  7 )
#define ftCOMBATREFLEXES            (  8 )
#define ftDODGE                     (  9 )
#define ftMOBILITY                  ( 10 )
#define ftSPRINGATTACK              ( 11 )
#define ftENDURANCE                 ( 12 )
#define ftWEAPONPROFICIENCY_EXOTIC  ( 13 )
#define ftWEAPONPROFICIENCY_MARTIAL ( 14 )
#define ftWEAPONPROFICIENCY_SIMPLE  ( 15 )
#define ftEXPERTISE                 ( 16 )
#define ftIMPROVEDDISARM            ( 17 )
#define ftIMPROVEDTRIP              ( 18 )
#define ftWHIRLWINDATTACK           ( 19 )
#define ftGREATFORTITUDE            ( 20 )
#define ftIMPROVEDCRITICAL          ( 21 )
#define ftIMPROVEDINITIATIVE        ( 22 )
#define ftIMPROVEDUNARMEDSTRIKE     ( 23 )
#define ftDEFLECTARROWS             ( 24 )
#define ftSTUNNINGFIST              ( 25 )
#define ftIRONWILL                  ( 26 )
#define ftLEADERSHIP                ( 27 )
#define ftLIGHTNINGREFLEXES         ( 28 )
#define ftMOUNTEDCOMBAT             ( 29 )
#define ftMOUNTEDARCHERY            ( 30 )
#define ftTRAMPLE                   ( 31 )
#define ftRIDEBYATTACK              ( 32 )
#define ftSPIRITEDCHARGE            ( 33 )
#define ftPOINTBLANKSHOT            ( 34 )
#define ftFARSHOT                   ( 35 )
#define ftPRECISESHOT               ( 36 )
#define ftRAPIDSHOT                 ( 37 )
#define ftSHOTONTHERUN              ( 38 )
#define ftPOWERATTACK               ( 39 )
#define ftCLEAVE                    ( 40 )
#define ftIMPROVEDBULLRUSH          ( 41 )
#define ftSUNDER                    ( 42 )
#define ftGREATCLEAVE               ( 43 )
#define ftQUICKDRAW                 ( 44 )
#define ftRUN                       ( 45 )
#define ftSHIELDPROFICIENCY         ( 46 )
#define ftSKILLFOCUS                ( 47 )
#define ftSPELLFOCUS                ( 48 )
#define ftSPELLPENETRATION          ( 49 )
#define ftTOUGHNESS                 ( 50 )
#define ftTRACK                     ( 51 )
#define ftTWOWEAPONFIGHTING         ( 52 )
#define ftIMPROVEDTWOWEAPONFIGHTING ( 53 )
#define ftWEAPONFINESSE             ( 54 )
#define ftWEAPONFOCUS               ( 55 )
#define ftBREWPOTION                ( 56 )
#define ftCRAFTMAGICARMSANDARMOR    ( 57 )
#define ftCRAFTROD                  ( 58 )
#define ftCRAFTSTAFF                ( 59 )
#define ftCRAFTWAND                 ( 60 )
#define ftCRAFTWONDROUSITEM         ( 61 )
#define ftFORGERING                 ( 62 )
#define ftSCRIBESCROLL              ( 63 )
#define ftEMPOWERSPELL              ( 64 )
#define ftENLARGESPELL              ( 65 )
#define ftEXTENDSPELL               ( 66 )
#define ftHEIGHTENSPELL             ( 67 )
#define ftMAXIMIZESPELL             ( 68 )
#define ftQUICKENSPELL              ( 69 )
#define ftSILENTSPELL               ( 70 )
#define ftSTILLSPELL                ( 71 )
#define ftEXTRATURNING              ( 72 )
#define ftSPELLMASTERY              ( 73 )
#define ftWEAPONSPECIALIZATION      ( 74 )
#define ftFLYBYATTACK               ( 75 )
#define ftMULTIATTACK               ( 76 )
#define ftMULTIDEXTERITY            ( 77 )
#define ftMULTIWEAPONFIGHTING       ( 78 )

/* feat types */

#define fttGENERAL                  (  1 )
#define fttITEMCREATION             (  2 )
#define fttMETAMAGIC                (  3 )
#define fttSPECIAL                  (  4 )

/* feat pre-requisite types */

#define fprMINIMUMABILITYSCORE      (  1 )
#define fprFEAT                     (  2 )
#define fprMINIMUMBASEATTACKBONUS   (  3 )
#define fprMINIMUMCHARACTERLEVEL    (  4 )
#define fprSKILL                    (  5 )
#define fprPROFICIENTWITHWEAPON     (  6 )
#define fprMINIMUMSPELLCASTERLEVEL  (  7 )
#define fprCLERICORPALADIN          (  8 )
#define fprWIZARD                   (  9 )
#define fprMINIMUMFIGHTERLEVEL      ( 10 )

/* weapon types */

#define wtSLASHING     ( 0x0001 )
#define wtBLUDGEONING  ( 0x0002 )
#define wtPIERCING     ( 0x0004 )
#define wtSIMPLE       ( 0x0008 )
#define wtMARTIAL      ( 0x0010 )
#define wtEXOTIC       ( 0x0020 )
#define wtMELEE        ( 0x0040 )
#define wtRANGED       ( 0x0080 )
#define wtLIGHT        ( 0x0100 )
#define wtONEHANDED    ( 0x0200 )
#define wtTWOHANDED    ( 0x0400 )

/* weapons */

#define wpGAUNTLET                 (  1 )
#define wpUNARMED                  (  2 )
#define wpDAGGER                   (  4 )
#define wpDAGGER_PUNCHING          (  5 )
#define wpGAUNTLET_SPIKED          (  6 )
#define wpMACE_LIGHT               (  7 )
#define wpSICKLE                   (  8 )
#define wpCLUB                     (  9 )
#define wpHALFSPEAR                ( 10 )
#define wpMACE_HEAVY               ( 11 )
#define wpMORNINGSTAR              ( 12 )
#define wpQUARTERSTAFF             ( 13 )
#define wpSHORTSPEAR               ( 14 )
#define wpCROSSBOW_LIGHT           ( 15 )
#define wpDART                     ( 16 )
#define wpSLING                    ( 17 )
#define wpCROSSBOW_HEAVY           ( 18 )
#define wpJAVELIN                  ( 19 )
#define wpAXE_THROWING             ( 20 )
#define wpHAMMER_LIGHT             ( 21 )
#define wpHANDAXE                  ( 22 )
#define wpLANCE_LIGHT              ( 23 )
#define wpPICK_LIGHT               ( 24 )
#define wpSAP                      ( 25 )
#define wpSWORD_SHORT              ( 26 )
#define wpBATTLEAXE                ( 27 )
#define wpFLAIL_LIGHT              ( 28 )
#define wpLANCE_HEAVY              ( 29 )
#define wpLONGSWORD                ( 30 )
#define wpPICK_HEAVY               ( 31 )
#define wpRAPIER                   ( 32 )
#define wpSCIMITAR                 ( 33 )
#define wpTRIDENT                  ( 34 )
#define wpWARHAMMER                ( 35 )
#define wpFALCHION                 ( 36 )
#define wpFLAIL_HEAVY              ( 37 )
#define wpGLAIVE                   ( 38 )
#define wpGREATAXE                 ( 39 )
#define wpGREATCLUB                ( 40 )
#define wpGREATSWORD               ( 41 )
#define wpGUISARME                 ( 42 )
#define wpHALBERD                  ( 43 )
#define wpLONGSPEAR                ( 44 )
#define wpRANSEUR                  ( 45 )
#define wpSCYTHE                   ( 46 )
#define wpSHORTBOW                 ( 47 )
#define wpSHORTBOW_COMPOSITE       ( 48 )
#define wpLONGBOW                  ( 49 )
#define wpLONGBOW_COMPOSITE        ( 50 )
#define wpKUKRI                    ( 51 )
#define wpKAMA                     ( 52 )
#define wpNUNCHAKU                 ( 53 )
#define wpSIANGHAM                 ( 54 )
#define wpSWORD_BASTARD            ( 55 )
#define wpWARAXE_DWARVEN           ( 56 )
#define wpHAMMER_GNOMEHOOKED       ( 57 )
#define wpAXE_ORCDOUBLE            ( 58 )
#define wpCHAIN_SPIKED             ( 59 )
#define wpFLAIL_DIRE               ( 60 )
#define wpSWORD_TWOBLADED          ( 61 )
#define wpURGOSH_DWARVEN           ( 62 )
#define wpCROSSBOW_HAND            ( 63 )
#define wpSHURIKEN                 ( 64 )
#define wpWHIP                     ( 65 )
#define wpCROSSBOW_REPEATING       ( 66 )
#define wpNET                      ( 67 )

/* schools of magic */

#define ssUNIVERSAL                ( 0x0001 )
#define ssABJURATION               ( 0x0002 )
#define ssCONJURATION              ( 0x0004 )
#define ssDIVINATION               ( 0x0008 )
#define ssENCHANTMENT              ( 0x0010 )
#define ssEVOCATION                ( 0x0020 )
#define ssILLUSION                 ( 0x0040 )
#define ssNECROMANCY               ( 0x0080 )
#define ssTRANSMUTATION            ( 0x0100 )

/* spells */

#define spACIDFOG                                (   1 )
#define spAID                                    (   2 )
#define spAIRWALK                                (   3 )
#define spALARM                                  (   4 )
#define spALTERSELF                              (   5 )
#define spANALYZEDWEOMER                         (   6 )
#define spANIMALFRIENDSHIP                       (   7 )
#define spANIMALGROWTH                           (   8 )
#define spANIMALMESSENGER                        (   9 )
#define spANIMALSHAPES                           (  10 )
#define spANIMALTRANCE                           (  11 )
#define spANIMATEDEAD                            (  12 )
#define spANIMATEOBJECTS                         (  13 )
#define spANIMATEROPE                            (  14 )
#define spANTILIFESHELL                          (  15 )
#define spANTIMAGICFIELD                         (  16 )
#define spANTIPATHY                              (  17 )
#define spANTIPLANTSHELL                         (  18 )
#define spARCANEEYE                              (  19 )
#define spARCANELOCK                             (  20 )
#define spARCANEMARK                             (  21 )
#define spASTRALPROJECTION                       (  22 )
#define spATONEMENT                              (  23 )
#define spAUGURY                                 (  24 )
#define spAWAKEN                                 (  25 )
#define spBANE                                   (  26 )
#define spBANISHMENT                             (  27 )
#define spBARKSKIN                               (  28 )
#define spBESTOWCURSE                            (  29 )
#define spBIGBYSCLENCHEDFIST                     (  30 )
#define spBIGBYSCRUSHINGHAND                     (  31 )
#define spBIGBYSFORCEFULHAND                     (  32 )
#define spBIGBYSGRASPINGHAND                     (  33 )
#define spBIGBYSINTERPOSINGHAND                  (  34 )
#define spBINDING                                (  35 )
#define spBLADEBARRIER                           (  36 )
#define spBLASPHEMY                              (  37 )
#define spBLESS                                  (  38 )
#define spBLESSWATER                             (  39 )
#define spBLESSWEAPON                            (  40 )
#define spBLINDNESSDEAFNESS                      (  41 )
#define spBLINK                                  (  42 )
#define spBLUR                                   (  43 )
#define spBREAKENCHANTMENT                       (  44 )
#define spBULLSSTRENGTH                          (  45 )
#define spBURNINGHANDS                           (  46 )
#define spCALLLIGHTNING                          (  47 )
#define spCALMANIMALS                            (  48 )
#define spCALMEMOTIONS                           (  49 )
#define spCATSGRACE                              (  50 )
#define spCAUSEFEAR                              (  51 )
#define spCHAINLIGHTNING                         (  52 )
#define spCHANGESELF                             (  53 )
#define spCHANGESTAFF                            (  54 )
#define spCHAOSHAMMER                            (  55 )
#define spCHARMMONSTER                           (  56 )
#define spCHARMPERSON                            (  57 )
#define spCHARMPERSONORANIMAL                    (  58 )
#define spCHILLMETAL                             (  59 )
#define spCHILLTOUCH                             (  60 )
#define spCIRCLEOFDEATH                          (  61 )
#define spCIRCLEOFDOOM                           (  62 )
#define spCLAIRAUDIENCECLAIRVOYANCE              (  63 )
#define spCLOAKOFCHAOS                           (  64 )
#define spCLONE                                  (  65 )
#define spCLOUDKILL                              (  66 )
#define spCOLORSPRAY                             (  67 )
#define spCOMMAND                                (  68 )
#define spCOMMANDPLANTS                          (  69 )
#define spCOMMUNE                                (  70 )
#define spCOMMUNEWITHNATURE                      (  71 )
#define spCOMPREHENDLANGUAGES                    (  72 )
#define spCONEOFCOLD                             (  73 )
#define spCONFUSION                              (  74 )
#define spCONSECRATE                             (  75 )
#define spCONTACTOTHERPLANE                      (  76 )
#define spCONTAGION                              (  77 )
#define spCONTINGENCY                            (  78 )
#define spCONTINUALFLAME                         (  79 )
#define spCONTROLPLANTS                          (  80 )
#define spCONTROLUNDEAD                          (  81 )
#define spCONTROLWATER                           (  82 )
#define spCONTROLWEATHER                         (  83 )
#define spCONTROLWINDS                           (  84 )
#define spCREATEFOODANDWATER                     (  85 )
#define spCREATEGREATERUNDEAD                    (  86 )
#define spCREATEUNDEAD                           (  87 )
#define spCREATEWATER                            (  88 )
#define spCREEPINGDOOM                           (  89 )
#define spCURECRITICALWOUNDS                     (  90 )
#define spCURELIGHTWOUNDS                        (  91 )
#define spCUREMINORWOUNDS                        (  92 )
#define spCUREMODERATEWOUNDS                     (  93 )
#define spCURESERIOUSWOUNDS                      (  94 )
#define spCURSEWATER                             (  95 )
#define spDANCINGLIGHTS                          (  96 )
#define spDARKNESS                               (  97 )
#define spDARKVISION                             (  98 )
#define spDAYLIGHT                               (  99 )
#define spDAZE                                   ( 100 )
#define spDEATHKNELL                             ( 101 )
#define spDEATHWARD                              ( 102 )
#define spDEATHWATCH                             ( 103 )
#define spDEEPERDARKNESS                         ( 104 )
#define spDELAYPOISON                            ( 105 )
#define spDELAYEDBLASTFIREBALL                   ( 106 )
#define spDEMAND                                 ( 107 )
#define spDESECRATE                              ( 108 )
#define spDESTRUCTION                            ( 109 )
#define spDETECTANIMALSORPLANTS                  ( 110 )
#define spDETECTCHAOS                            ( 111 )
#define spDETECTEVIL                             ( 112 )
#define spDETECTGOOD                             ( 113 )
#define spDETECTLAW                              ( 114 )
#define spDETECTMAGIC                            ( 115 )
#define spDETECTPOISON                           ( 116 )
#define spDETECTSCRYING                          ( 117 )
#define spDETECTSECRETDOORS                      ( 118 )
#define spDETECTSNARESANDPITS                    ( 119 )
#define spDETECTTHOUGHTS                         ( 120 )
#define spDETECTUNDEAD                           ( 121 )
#define spDICTUM                                 ( 122 )
#define spDIMENSIONDOOR                          ( 123 )
#define spDIMENSIONALANCHOR                      ( 124 )
#define spDIMINISHPLANTS                         ( 125 )
#define spDISCERNLIES                            ( 126 )
#define spDISCERNLOCATION                        ( 127 )
#define spDISINTEGRATE                           ( 128 )
#define spDISMISSAL                              ( 129 )
#define spDISPELCHAOS                            ( 130 )
#define spDISPELEVIL                             ( 131 )
#define spDISPELGOOD                             ( 132 )
#define spDISPELLAW                              ( 133 )
#define spDISPELMAGIC                            ( 134 )
#define spDISPLACEMENT                           ( 135 )
#define spDISRUPTUNDEAD                          ( 136 )
#define spDIVINATION                             ( 137 )
#define spDIVINEFAVOR                            ( 138 )
#define spDIVINEPOWER                            ( 139 )
#define spDOMINATEANIMAL                         ( 140 )
#define spDOMINATEMONSTER                        ( 141 )
#define spDOMINATEPERSON                         ( 142 )
#define spDOOM                                   ( 143 )
#define spDRAWMIJSINSTANTSUMMONS                 ( 144 )
#define spDREAM                                  ( 145 )
#define spEARTHQUAKE                             ( 146 )
#define spELEMENTALSWARM                         ( 147 )
#define spEMOTION                                ( 148 )
#define spENDURANCE                              ( 149 )
#define spENDUREELEMENTS                         ( 150 )
#define spENERGYDRAIN                            ( 151 )
#define spENERVATION                             ( 152 )
#define spENLARGE                                ( 153 )
#define spENTANGLE                               ( 154 )
#define spENTHRALL                               ( 155 )
#define spENTROPICSHIELD                         ( 156 )
#define spERASE                                  ( 157 )
#define spETHEREALJAUNT                          ( 158 )
#define spETHEREALNESS                           ( 159 )
#define spEVARDSBLACKTENTACLES                   ( 160 )
#define spEXPEDITIOUSRETREAT                     ( 161 )
#define spEXPLOSIVERUNES                         ( 162 )
#define spEYEBITE                                ( 163 )
#define spFABRICATE                              ( 164 )
#define spFAERIEFIRE                             ( 165 )
#define spFALSEVISION                            ( 166 )
#define spFEAR                                   ( 167 )
#define spFEATHERFALL                            ( 168 )
#define spFEEBLEMIND                             ( 169 )
#define spFINDTHEPATH                            ( 170 )
#define spFINDTRAPS                              ( 171 )
#define spFINGEROFDEATH                          ( 172 )
#define spFIRESEEDS                              ( 173 )
#define spFIRESHIELD                             ( 174 )
#define spFIRESTORM                              ( 175 )
#define spFIRETRAP                               ( 176 )
#define spFIREBALL                               ( 177 )
#define spFLAMEARROW                             ( 178 )
#define spFLAMEBLADE                             ( 179 )
#define spFLAMESTRIKE                            ( 180 )
#define spFLAMINGSPHERE                          ( 181 )
#define spFLARE                                  ( 182 )
#define spFLESHTOSTONE                           ( 183 )
#define spFLY                                    ( 184 )
#define spFOGCLOUD                               ( 185 )
#define spFORBIDDANCE                            ( 186 )
#define spFORCECAGE                              ( 187 )
#define spFORESIGHT                              ( 188 )
#define spFREEDOM                                ( 189 )
#define spFREEDOMOFMOVEMENT                      ( 190 )
#define spGASEOUSFORM                            ( 191 )
#define spGATE                                   ( 192 )
#define spGEASQUEST                              ( 193 )
#define spGENTLEREPOSE                           ( 194 )
#define spGHOSTSOUND                             ( 195 )
#define spGHOULTOUCH                             ( 196 )
#define spGIANTVERMIN                            ( 197 )
#define spGLITTERDUST                            ( 198 )
#define spGLOBEOFINVULNERABILITY                 ( 199 )
#define spGLYPHOFWARDING                         ( 200 )
#define spGOODBERRY                              ( 201 )
#define spGREASE                                 ( 202 )
#define spGREATERCOMMAND                         ( 203 )
#define spGREATERDISPELLING                      ( 204 )
#define spGREATERGLYPHOFWARDING                  ( 205 )
#define spGREATERMAGICFANG                       ( 206 )
#define spGREATERMAGICWEAPON                     ( 207 )
#define spGREATERPLANARALLY                      ( 208 )
#define spGREATERPLANARBINDING                   ( 209 )
#define spGREATERRESTORATION                     ( 210 )
#define spGREATERSCRYING                         ( 211 )
#define spGREATERSHADOWCONJURATION               ( 212 )
#define spGREATERSHADOWEVOCATION                 ( 213 )
#define spGUARDSANDWARDS                         ( 214 )
#define spGUIDANCE                               ( 215 )
#define spGUSTOFWIND                             ( 216 )
#define spHALLOW                                 ( 217 )
#define spHALLUCINATORYTERRAIN                   ( 218 )
#define spHALTUNDEAD                             ( 219 )
#define spHARM                                   ( 220 )
#define spHASTE                                  ( 221 )
#define spHEAL                                   ( 222 )
#define spHEALMOUNT                              ( 223 )
#define spHEALINGCIRCLE                          ( 224 )
#define spHEATMETAL                              ( 225 )
#define spHELPINGHAND                            ( 226 )
#define spHEROESFEAST                            ( 227 )
#define spHOLDANIMAL                             ( 228 )
#define spHOLDMONSTER                            ( 229 )
#define spHOLDPERSON                             ( 230 )
#define spHOLDPORTAL                             ( 231 )
#define spHOLYAURA                               ( 232 )
#define spHOLYSMITE                              ( 233 )
#define spHOLYSWORD                              ( 234 )
#define spHOLYWORD                               ( 235 )
#define spHORRIDWILTING                          ( 236 )
#define spHYPNOTICPATTERN                        ( 237 )
#define spHYPNOTISM                              ( 238 )
#define spICEPATH                                ( 239 )
#define spIDENTIFY                               ( 240 )
#define spILLUSORYSCRIPT                         ( 241 )
#define spILLUSORYWALL                           ( 242 )
#define spIMBUEWITHSPELLABILITY                  ( 243 )
#define spIMPLOSION                              ( 244 )
#define spIMPRISONMENT                           ( 245 )
#define spIMPROVEDINVISIBILITY                   ( 246 )
#define spINCENDIARYCLOUD                        ( 247 )
#define spINFLICTCRITICALWOUNDS                  ( 248 )
#define spINFLICTLIGHTWOUNDS                     ( 249 )
#define spINFLICTMINORWOUNDS                     ( 250 )
#define spINFLICTMODERATEWOUNDS                  ( 251 )
#define spINFLICTSERIOUSWOUNDS                   ( 252 )
#define spINSANITY                               ( 253 )
#define spINSECTPLAGUE                           ( 254 )
#define spINVISIBILITY                           ( 255 )
#define spINVISIBILITYPURGE                      ( 256 )
#define spINVISIBILITYSPHERE                     ( 257 )
#define spINVISIBILITYTOANIMALS                  ( 258 )
#define spINVISIBILITYTOUNDEAD                   ( 259 )
#define spIRONBODY                               ( 260 )
#define spIRONWOOD                               ( 261 )
#define spJUMP                                   ( 262 )
#define spKEENEDGE                               ( 263 )
#define spKNOCK                                  ( 264 )
#define spKNOWDIRECTION                          ( 265 )
#define spLEGENDLORE                             ( 266 )
#define spLEOMUNDSSECRETCHEST                    ( 267 )
#define spLEOMUNDSSECURESHELTER                  ( 268 )
#define spLEOMUNDSTINYHUT                        ( 269 )
#define spLEOMUNDSTRAP                           ( 270 )
#define spLESSERGEAS                             ( 271 )
#define spLESSERPLANARALLY                       ( 272 )
#define spLESSERPLANARBINDING                    ( 273 )
#define spLESSERRESTORATION                      ( 274 )
#define spLEVITATE                               ( 275 )
#define spLIGHT                                  ( 276 )
#define spLIGHTNINGBOLT                          ( 277 )
#define spLIMITEDWISH                            ( 278 )
#define spLIVEOAK                                ( 279 )
#define spLOCATECREATURE                         ( 280 )
#define spLOCATEOBJECT                           ( 281 )
#define spMAGEARMOR                              ( 282 )
#define spMAGEHAND                               ( 283 )
#define spMAGICCIRCLEAGAINSTCHAOS                ( 284 )
#define spMAGICCIRCLEAGAINSTEVIL                 ( 285 )
#define spMAGICCIRCLEAGAINSTGOOD                 ( 286 )
#define spMAGICCIRCLEAGAINSTLAW                  ( 287 )
#define spMAGICFANG                              ( 288 )
#define spMAGICJAR                               ( 289 )
#define spMAGICMISSILE                           ( 290 )
#define spMAGICMOUTH                             ( 291 )
#define spMAGICSTONE                             ( 292 )
#define spMAGICVESTMENT                          ( 293 )
#define spMAGICWEAPON                            ( 294 )
#define spMAJORCREATION                          ( 295 )
#define spMAJORIMAGE                             ( 296 )
#define spMAKEWHOLE                              ( 297 )
#define spMARKOFJUSTICE                          ( 298 )
#define spMASSCHARM                              ( 299 )
#define spMASSHASTE                              ( 300 )
#define spMASSHEAL                               ( 301 )
#define spMASSINVISIBILITY                       ( 302 )
#define spMASSSUGGESTION                         ( 303 )
#define spMAZE                                   ( 304 )
#define spMELDINTOSTONE                          ( 305 )
#define spMELFSACIDARROW                         ( 306 )
#define spMENDING                                ( 307 )
#define spMESSAGE                                ( 308 )
#define spMETEORSWARM                            ( 309 )
#define spMINDBLANK                              ( 310 )
#define spMINDFOG                                ( 311 )
#define spMINORCREATION                          ( 312 )
#define spMINORGLOBEOFINVULNERABILITY            ( 313 )
#define spMINORIMAGE                             ( 314 )
#define spMIRACLE                                ( 315 )
#define spMIRAGEARCANA                           ( 316 )
#define spMIRRORIMAGE                            ( 317 )
#define spMISDIRECTION                           ( 318 )
#define spMISLEAD                                ( 319 )
#define spMODIFYMEMORY                           ( 320 )
#define spMORDENKAINENSDISJUNCTION               ( 321 )
#define spMORDENKAINENSFAITHFULHOUND             ( 322 )
#define spMORDENKAINENSLUCUBRATION               ( 323 )
#define spMORDENKAINENSMAGNIFICENTMANSION        ( 324 )
#define spMORDENKAINENSSWORD                     ( 325 )
#define spMOUNT                                  ( 326 )
#define spMOVEEARTH                              ( 327 )
#define spNEGATIVEENERGYPROTECTION               ( 328 )
#define spNEUTRALIZEPOISON                       ( 329 )
#define spNIGHTMARE                              ( 330 )
#define spNONDETECTION                           ( 331 )
#define spNYSTULSMAGICAURA                       ( 332 )
#define spNYSTULSUNDETECTABLEAURA                ( 333 )
#define spOBSCUREOBJECT                          ( 334 )
#define spOBSCURINGMIST                          ( 335 )
#define spOPENCLOSE                              ( 336 )
#define spORDERSWRATH                            ( 337 )
#define spOTILUKESFREEZINGSPHERE                 ( 338 )
#define spOTILUKESRESILIENTSPHERE                ( 339 )
#define spOTILUKESTELEKINETICSPHERE              ( 340 )
#define spOTTOSIRRESISTIBLEDANCE                 ( 341 )
#define spPASSWITHOUTTRACE                       ( 342 )
#define spPASSWALL                               ( 343 )
#define spPERMANENCY                             ( 344 )
#define spPERMANENTIMAGE                         ( 345 )
#define spPERSISTENTIMAGE                        ( 346 )
#define spPHANTASMALKILLER                       ( 347 )
#define spPHANTOMSTEED                           ( 348 )
#define spPHASEDOOR                              ( 349 )
#define spPLANARALLY                             ( 350 )
#define spPLANARBINDING                          ( 351 )
#define spPLANESHIFT                             ( 352 )
#define spPLANTGROWTH                            ( 353 )
#define spPOISON                                 ( 354 )
#define spPOLYMORPHANYOBJECT                     ( 355 )
#define spPOLYMORPHOTHER                         ( 356 )
#define spPOLYMORPHSELF                          ( 357 )
#define spPOWERWORDBLIND                         ( 358 )
#define spPOWERWORDKILL                          ( 359 )
#define spPOWERWORDSTUN                          ( 360 )
#define spPRAYER                                 ( 361 )
#define spPRESTIDIGITATION                       ( 362 )
#define spPRISMATICSPHERE                        ( 363 )
#define spPRISMATICSPRAY                         ( 364 )
#define spPRISMATICWALL                          ( 365 )
#define spPRODUCEFLAME                           ( 366 )
#define spPROGRAMMEDIMAGE                        ( 367 )
#define spPROJECTIMAGE                           ( 368 )
#define spPROTECTIONFROMARROWS                   ( 369 )
#define spPROTECTIONFROMCHAOS                    ( 370 )
#define spPROTECTIONFROMELEMENTS                 ( 371 )
#define spPROTECTIONFROMEVIL                     ( 372 )
#define spPROTECTIONFROMGOOD                     ( 373 )
#define spPROTECTIONFROMLAW                      ( 374 )
#define spPROTECTIONFROMSPELLS                   ( 375 )
#define spPRYINGEYES                             ( 376 )
#define spPURIFYFOODANDDRINK                     ( 377 )
#define spPYROTECHNICS                           ( 378 )
#define spQUENCH                                 ( 379 )
#define spRAINBOWPATTERN                         ( 380 )
#define spRAISEDEAD                              ( 381 )
#define spRANDOMACTION                           ( 382 )
#define spRARYSMNEMONICENHANCER                  ( 383 )
#define spRARYSTELEPATHICBOND                    ( 384 )
#define spRAYOFENFEEBLEMENT                      ( 385 )
#define spRAYOFFROST                             ( 386 )
#define spREADMAGIC                              ( 387 )
#define spREDUCE                                 ( 388 )
#define spREFUGE                                 ( 389 )
#define spREGENERATE                             ( 390 )
#define spREINCARNATE                            ( 391 )
#define spREMOVEBLINDNESSDEAFNESS                ( 392 )
#define spREMOVECURSE                            ( 393 )
#define spREMOVEDISEASE                          ( 394 )
#define spREMOVEFEAR                             ( 395 )
#define spREMOVEPARALYSIS                        ( 396 )
#define spREPELMETALORSTONE                      ( 397 )
#define spREPELVERMIN                            ( 398 )
#define spREPELWOOD                              ( 399 )
#define spREPULSION                              ( 400 )
#define spRESISTELEMENTS                         ( 401 )
#define spRESISTANCE                             ( 402 )
#define spRESTORATION                            ( 403 )
#define spRESURRECTION                           ( 404 )
#define spREVERSEGRAVITY                         ( 405 )
#define spRIGHTEOUSMIGHT                         ( 406 )
#define spROPETRICK                              ( 407 )
#define spRUSTINGGRASP                           ( 408 )
#define spSANCTUARY                              ( 409 )
#define spSCARE                                  ( 410 )
#define spSCREEN                                 ( 411 )
#define spSCRYING                                ( 412 )
#define spSCULPTSOUND                            ( 413 )
#define spSEARINGLIGHT                           ( 414 )
#define spSECRETPAGE                             ( 415 )
#define spSEEINVISIBILITY                        ( 416 )
#define spSEEMING                                ( 417 )
#define spSENDING                                ( 418 )
#define spSEPIASNAKESIGIL                        ( 419 )
#define spSEQUESTER                              ( 420 )
#define spSHADES                                 ( 421 )
#define spSHADOWCONJURATION                      ( 422 )
#define spSHADOWEVOCATION                        ( 423 )
#define spSHADOWWALK                             ( 424 )
#define spSHAMBLER                               ( 425 )
#define spSHAPECHANGE                            ( 426 )
#define spSHATTER                                ( 427 )
#define spSHIELD                                 ( 428 )
#define spSHIELDOFFAITH                          ( 429 )
#define spSHIELDOFLAW                            ( 430 )
#define spSHIELDOTHER                            ( 431 )
#define spSHILLELAGH                             ( 432 )
#define spSHOCKINGGRASP                          ( 433 )
#define spSHOUT                                  ( 434 )
#define spSHRINKITEM                             ( 435 )
#define spSILENCE                                ( 436 )
#define spSILENTIMAGE                            ( 437 )
#define spSIMULACRUM                             ( 438 )
#define spSLAYLIVING                             ( 439 )
#define spSLEEP                                  ( 440 )
#define spSLEETSTORM                             ( 441 )
#define spSLOW                                   ( 442 )
#define spSNARE                                  ( 443 )
#define spSOFTENEARTHANDSTONE                    ( 444 )
#define spSOLIDFOG                               ( 445 )
#define spSOULBIND                               ( 446 )
#define spSOUNDBURST                             ( 447 )
#define spSPEAKWITHANIMALS                       ( 448 )
#define spSPEAKWITHDEAD                          ( 449 )
#define spSPEAKWITHPLANTS                        ( 450 )
#define spSPECTRALHAND                           ( 451 )
#define spSPELLIMMUNITY                          ( 452 )
#define spSPELLRESISTANCE                        ( 453 )
#define spSPELLTURNING                           ( 454 )
#define spSPELLSTAFF                             ( 455 )
#define spSPIDERCLIMB                            ( 456 )
#define spSPIKEGROWTH                            ( 457 )
#define spSPIKESTONES                            ( 458 )
#define spSPRITUALWEAPON                         ( 459 )
#define spSTATUE                                 ( 460 )
#define spSTATUS                                 ( 461 )
#define spSTINKINGCLOUD                          ( 462 )
#define spSTONESHAPE                             ( 463 )
#define spSTONETELL                              ( 464 )
#define spSTONETOFLESH                           ( 465 )
#define spSTONESKIN                              ( 466 )
#define spSTORMOFVENGEANCE                       ( 467 )
#define spSUGGESTION                             ( 468 )
#define spSUMMONMONSTERI                         ( 469 )
#define spSUMMONMONSTERII                        ( 470 )
#define spSUMMONMONSTERIII                       ( 471 )
#define spSUMMONMONSTERIV                        ( 472 )
#define spSUMMONMONSTERIX                        ( 473 )
#define spSUMMONMONSTERV                         ( 474 )
#define spSUMMONMONSTERVI                        ( 475 )
#define spSUMMONMONSTERVII                       ( 476 )
#define spSUMMONMONSTERVIII                      ( 477 )
#define spSUMMONNATURESALLYI                     ( 478 )
#define spSUMMONNATURESALLYII                    ( 479 )
#define spSUMMONNATURESALLYIII                   ( 480 )
#define spSUMMONNATURESALLYIV                    ( 481 )
#define spSUMMONNATURESALLYIX                    ( 482 )
#define spSUMMONNATURESALLYV                     ( 483 )
#define spSUMMONNATURESALLYVI                    ( 484 )
#define spSUMMONNATURESALLYVII                   ( 485 )
#define spSUMMONNATURESALLYVIII                  ( 486 )
#define spSUMMONSWARM                            ( 487 )
#define spSUNBEAM                                ( 488 )
#define spSUNBURST                               ( 489 )
#define spSYMBOL                                 ( 490 )
#define spSYMPATHY                               ( 491 )
#define spTASHASHIDEOUSLAUGHTER                  ( 492 )
#define spTELEKINESIS                            ( 493 )
#define spTELEPORT                               ( 494 )
#define spTELEPORTWITHOUTERROR                   ( 495 )
#define spTELEPORTATIONCIRCLE                    ( 496 )
#define spTEMPORALSTASIS                         ( 497 )
#define spTENSERSFLOATINGDISK                    ( 498 )
#define spTENSERSTRANSFORMATION                  ( 499 )
#define spTIMESTOP                               ( 500 )
#define spTONGUES                                ( 501 )
#define spTRANSMUTEMETALTOWOOD                   ( 502 )
#define spTRANSMUTEMUDTOROCK                     ( 503 )
#define spTRANSMUTEROCKTOMUD                     ( 504 )
#define spTRANSPORTVIAPLANTS                     ( 505 )
#define spTRAPTHESOUL                            ( 506 )
#define spTREESHAPE                              ( 507 )
#define spTREESTRIDE                             ( 508 )
#define spTRUERESURRECTION                       ( 509 )
#define spTRUESEEING                             ( 510 )
#define spTRUESTRIKE                             ( 511 )
#define spUNDETECTABLEALIGNMENT                  ( 512 )
#define spUNHALLOW                               ( 513 )
#define spUNHOLYAURA                             ( 514 )
#define spUNHOLYBLIGHT                           ( 515 )
#define spUNSEENSERVANT                          ( 516 )
#define spVAMPIRICTOUCH                          ( 517 )
#define spVANISH                                 ( 518 )
#define spVEIL                                   ( 519 )
#define spVENTRILOQUISM                          ( 520 )
#define spVIRTUE                                 ( 521 )
#define spVISION                                 ( 522 )
#define spWAILOFTHEBANSHEE                       ( 523 )
#define spWALLOFFIRE                             ( 524 )
#define spWALLOFFORCE                            ( 525 )
#define spWALLOFICE                              ( 526 )
#define spWALLOFIRON                             ( 527 )
#define spWALLOFSTONE                            ( 528 )
#define spWALLOFTHORNS                           ( 529 )
#define spWARPWOOD                               ( 530 )
#define spWATERBREATHING                         ( 531 )
#define spWATERWALK                              ( 532 )
#define spWEB                                    ( 533 )
#define spWEIRD                                  ( 534 )
#define spWHIRLWIND                              ( 535 )
#define spWHISPERINGWIND                         ( 536 )
#define spWINDWALK                               ( 537 )
#define spWINDWALL                               ( 538 )
#define spWISH                                   ( 539 )
#define spWOODSHAPE                              ( 540 )
#define spWORDOFCHAOS                            ( 541 )
#define spWORDOFRECALL                           ( 542 )
#define spZONEOFTRUTH                            ( 543 )

/* domains */

#define dmAIR                     (  1 )
#define dmANIMAL                  (  2 )
#define dmCHAOS                   (  3 )
#define dmDEATH                   (  4 )
#define dmDESTRUCTION             (  5 )
#define dmEARTH                   (  6 )
#define dmEVIL                    (  7 )
#define dmFIRE                    (  8 )
#define dmGOOD                    (  9 )
#define dmHEALING                 ( 10 )
#define dmKNOWLEDGE               ( 11 )
#define dmLAW                     ( 12 )
#define dmLUCK                    ( 13 )
#define dmMAGIC                   ( 14 )
#define dmPLANT                   ( 15 )
#define dmPROTECTION              ( 16 )
#define dmSTRENGTH                ( 17 )
#define dmSUN                     ( 18 )
#define dmTRAVEL                  ( 19 )
#define dmTRICKERY                ( 20 )
#define dmWAR                     ( 21 )
#define dmWATER                   ( 22 )

/* armor types */

#define atLIGHT                   (  1 )
#define atMEDIUM                  (  2 )
#define atHEAVY                   (  3 )
#define atSHIELD                  (  4 )

/* armors */

#define arPADDED                  (  1 )
#define arLEATHER                 (  2 )
#define arSTUDDEDLEATHER          (  3 )
#define arCHAINSHIRT              (  4 )
#define arHIDE                    (  5 )
#define arSCALEMAIL               (  6 )
#define arCHAINMAIL               (  7 )
#define arBREASTPLATE             (  8 )
#define arSPLINTMAIL              (  9 )
#define arBANDEDMAIL              ( 10 )
#define arHALFPLATE               ( 11 )
#define arFULLPLATE               ( 12 )
#define arBUCKLER                 ( 13 )
#define arSHIELD_SMALL_WOODEN     ( 14 )
#define arSHIELD_SMALL_STEEL      ( 15 )
#define arSHIELD_LARGE_WOODEN     ( 16 )
#define arSHIELD_LARGE_STEEL      ( 17 )
#define arSHIELD_TOWER            ( 18 )

/* racial bonus types -- the race grants a bonus to the given item */

#define rbtSKILL                  (  1 )
#define rbtSAVINGTHROW            (  2 )
#define rbtABILITYSCORE           (  3 )
#define rbtATTACK                 (  4 )
#define rbtARMORCLASS             (  5 )
#define rbtFEAT                   (  6 )

/* saving throw types */

#define svFORTITUDE           (  1 )
#define svREFLEX              (  2 )
#define svWILL                (  3 )

/* languages */

#define lnABYSSAL             (  1 )
#define lnAQUAN               (  2 )
#define lnAURAN               (  3 )
#define lnCELESTIAL           (  4 )
#define lnCOMMON              (  5 )
#define lnDRACONIC            (  6 )
#define lnDRUIDIC             (  7 )
#define lnDWARVEN             (  8 )
#define lnELVEN               (  9 )
#define lnGNOME               ( 10 )
#define lnGOBLIN              ( 11 )
#define lnGIANT               ( 12 )
#define lnGNOLL               ( 13 )
#define lnHALFLING            ( 14 )
#define lnIGNAN               ( 15 )
#define lnINFERNAL            ( 16 )
#define lnORC                 ( 17 )
#define lnSYLVAN              ( 18 )
#define lnTERRAN              ( 19 )
#define lnUNDERCOMMON         ( 20 )

/* monster types */

#define mtABERRATION          (  1 )
#define mtBEAST               (  2 )
#define mtCONSTRUCT           (  3 )
#define mtDRAGON              (  4 )
#define mtELEMENTAL           (  5 )
#define mtFEY                 (  6 )
#define mtGIANT               (  7 )
#define mtHUMANOID            (  8 )
#define mtMAGICALBEAST        (  9 )
#define mtMONSTROUSHUMANOID   ( 10 )
#define mtOOZE                ( 11 )
#define mtOUTSIDER            ( 12 )
#define mtPLANT               ( 13 )
#define mtSHAPECHANGER        ( 14 )
#define mtUNDEAD              ( 15 )
#define mtVERMIN              ( 16 )

/* encounter roles */

#define erCRITTER             (  1 )
#define erDRAGON              (  2 )
#define erFIEND               (  3 )
#define erFRIEND              (  4 )
#define erNPC                 (  5 )
#define erTERROR              (  6 )
#define erTOUGH               (  7 )
#define erUNDEAD              (  8 )

#endif /* __DNDCONST_H__ */
